Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#4715 closed defect (fixed)

RSB get sources misses a number of files

Reported by: Chris Johns Owned by: Chris Johns
Priority: normal Milestone: 5.2
Component: tool/rsb Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

Back port the changes from the development branch. The get sources tool is used during the release to collect the sources so they are hosted on https://ftp.rtems.org

The changes exposes a number of configuration file issues on the 5 branch.

Change History (9)

comment:1 Changed on 09/19/22 at 21:24:53 by Chris Johns <chrisj@…>

In [changeset:"3138ff5295f27883f1f01feefc76fee36b34ea6c/rtems-source-builder" 3138ff5/rtems-source-builder]:

sb/getsources: Fix getting sources

  • Back ported from the development branch

Updates #4715

comment:2 Changed on 09/19/22 at 21:24:56 by Chris Johns <chrisj@…>

In [changeset:"db3d470c3126e9cddbd301d70876f78a16789f69/rtems-source-builder" db3d470/rtems-source-builder]:

sb/getsources: Fixes to configurations

Updates #4715

comment:3 Changed on 11/09/22 at 23:32:33 by Chris Johns

Resolution: fixed
Status: assignedclosed

comment:4 Changed on 11/11/22 at 02:57:37 by Chris Johns

Resolution: fixed
Status: closedreopened

More missed files.

comment:5 Changed on 11/14/22 at 20:58:24 by Chris Johns <chrisj@…>

In [changeset:"5992bc9519a183b04b737136601332358ec3e3da/rtems-source-builder" 5992bc9/rtems-source-builder]:

bare/gcc: Remove gcc-4.8.2 because newlib references the unsupported CVS

Updates #4715

comment:6 Changed on 11/14/22 at 22:36:16 by Chris Johns <chrisj@…>

In [changeset:"b57948f66684b2b161f84065f9b6d87dfba8cdbc/rtems-source-builder" b57948f/rtems-source-builder]:

rtems: Update source and patch URLs to valid locations

Updates #4715

comment:7 Changed on 11/15/22 at 21:42:36 by Chris Johns <chrisj@…>

In [changeset:"3ec64413c9d7a74a58b48b0e64f89cc43516d719/rtems-source-builder" 3ec6441/rtems-source-builder]:

rtems: Update source and patch URLs to valid locations

Updates #4715

comment:8 Changed on 11/15/22 at 23:10:26 by Chris Johns <chrisj@…>

In [changeset:"1116c5f85fb5dceca4a57c1b69195b6e9215b084/rtems-source-builder" 1116c5f/rtems-source-builder]:

rtems: Add back gcc-4.6 build configuration

Updates #4715

comment:9 Changed on 12/06/22 at 22:46:37 by Chris Johns

Resolution: fixed
Status: reopenedclosed

The release now fetches all sources.

Note: See TracTickets for help on using tickets.